FLANG

Public Member Functions | Protected Attributes | Friends | List of all members
fir::ProcBoxValue Class Reference

`#include <flang/Lower/Support/BoxValue.h>`

Inheritance diagram for fir::ProcBoxValue:

## Public Member Functions
| ProcBoxValue (mlir::Value addr, mlir::Value context)
ProcBoxValue | clone (mlir::Value newBase) const
mlir::Value | getHostContext () const
LLVM_DUMP_METHOD void | dump () const
Public Member Functions inherited from fir::AbstractBox
| AbstractBox (mlir::Value addr)
mlir::Value | getAddr () const

## Protected Attributes
mlir::Value | hostContext
Protected Attributes inherited from fir::AbstractBox
mlir::Value | addr

## Friends
llvm::raw_ostream & | operator<< (llvm::raw_ostream &, const ProcBoxValue &)

## Detailed Description

Expressions that are procedure POINTERs may need a set of references to variables in the host scope.

The documentation for this class was generated from the following file:

- include/flang/Lower/Support/BoxValue.h